SDL_BlitSurfaceTiled(3)

NAME
SDL_BlitSurfaceTiled - Perform a tiled blit to a destination surface, which may be of a different format.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_BlitSurfaceTiled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect);

DESCRIPTION
The pixels in srcrect will be repeated as many times as needed to completely fill dstrect.

FUNCTION PARAMETERS

src the SDL_Surface structure to be copied from.

srcrect
    the SDL_Rect structure representing the rectangle to be copied, or NULL to copy the entire surface.

dst the SDL_Surface structure that is the blit target.

dstrect
    the SDL_Rect structure representing the target rectangle in the destination surface, or NULL to fill the entire surface.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
Only one thread should be using the src and dst surfaces at any given time.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_BlitSurface(3)